Asterisk 1.8

Hello.

I am trying to install 1.8.3.2 on debian but while doing menuselect for installing addons,
i am getting X mark and comments are “Depends on: mysqlclient(E)”

What could be the reason as i have mysql installed on the server as well as i could see “/usr/lib/libmysqlclient.so” it on server.

Regards
Sam

You’ve installed the -dev or -devel packages for mysql?

./configure has been run after installing those packages?

mysql-5.5.10 is installed on the server,

which packages would be required to be install ?

Regds
Sam

mysqlclient5-dev

I have installed mysql-client on debian server and i could see libmysqlclient-dev installed,
can you tell me 1.8 looks for what packages and in which directories ? for app_mysql to get installed.

Regards
Sam

app_mysql.c includes:

#include <mysql/mysql.h>

Cheers

I think he’s after what goes into -I, not relative to -I.

You need to look in the configure script. It may well allow you to specify the directory explicitly.